# How to use the fishbook

## Requirements & Installation

* Python 3.5+ only, **no** python 2
* [datajoint](https://datajoint.io) to connect to the database and to map python objects to table entries.
* [nixio](https://github.com/g-node/nixpy) to read the relacs-flavored nix files during import or later during data retrieval.


### Clone the repository

  ```shell
  >> git clone https://whale.am28.uni-tuebingen.de/git/jgrewe/fishbook.git 
  ```

### Install

   When installing for development: install for the current user, install as "editable":
  
  ```shell
  >> cd fishbook
  >> pip3 install -e fishbook --user
  ```

  When installing for use:

  ```shell
  >> pip3 install fishbook --user
  # or, for system-wide installation
  >> sudo pip3 install fishbook
  ```

### Running *fishbook*

To run fishbook you need access to a database server. If you have access to one proceed with [configuring](configuration.md) the project. Otherwise, if you want to run it using a local database server see [these instructions](setting_up.md).

```python
import fishbook as fb
```
