#!/usr/bin/env python3

import sys
import argparse
import fishbook_server.client as client

def run(arguments):
    client.run(arguments.host, arguments.port, arguments.action, arguments.value)    


def create_parser():
    parser = argparse.ArgumentParser(description="Run fishbook dataserver")
    parser.add_argument("-hs", "--host", type=str, default="", help="The host for which to listen. Use 127.0.0.1 for localhost or any other hosts simply leave it empty.")
    parser.add_argument("-pr", "--port", type=int, default=65432, help="The port on which the server should be listening which to listen. Default 9000.")
    parser.add_argument("-a", "--action", type=str, default="search", help="")
    parser.add_argument("-v", "--value", type=str, default="test", help="")
    return parser


def main():
    parser = create_parser()
    args = parser.parse_args()
    run(args)


if __name__ == "__main__":
    main()